* Set window outline
*
*       OUTLN [#ch,]xs,ys,xo,yo[,xshd,yshd][,mvflag]
*
        section prog
*
        include 'dev8_keys_qdos_io'
        include 'dev1_asm_qptr_keys'
        include 'dev8_keys_err'
*
        xref    ut_getch
*
        xdef    be_outln
*
be_outln
        jsr     ut_getch(pc)		; get channel ID to outline
        bne.s   beo_exit
        move.w  ca.gtint,a2
        jsr     (a2)		; and some parameters
        bne.s   beo_exit
*
*       See which options are in use
*
        moveq   #0,d1		; assume no shadow
        moveq   #0,d2		; and set outline
        lea     8(a1),a2		; point to extra parameters
        subq.w  #4,d3		; must have at least four parameters
        bmi.s   beo_exbp		; ...oops
        beq.s   beo_doit		; exactly, set outline
        subq.w  #2,d3		; up to three more
        bmi.s   beo_smov		; only one, it's move flag
        move.l  0(a6,a2.l),d1 	; two or three include shadow
        addq.l  #4,a2		; may be a flag afterwards
        tst.w   d3			; is there?
        beq.s   beo_doit		; no
beo_smov
        move.w  0(a6,a2.l),d2 	; set move flag
beo_doit
        moveq   #-1,d3		; sometime
        move.l  a4,a0		; in this channel
        moveq   #iop.outl,d0		; set outline to definition on RIstk
        trap    #4			; that's A6-relative
        trap    #3
beo_exit
        tst.l   d0
        rts
beo_exbp
        moveq   #err.ipar,d0
        bra.s   beo_exit
*
        end
